##
##  ethereal.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package options
%ifndef       with_zlib
%define       with_zlib    no
%endif
%ifndef       with_openssl
%define       with_openssl no
%endif
%ifndef       with_snmp
%define       with_snmp    no
%endif

#   package information
Name:         ethereal
Summary:      Graphical Realtime Network Protocol Analyzer
URL:          http://www.ethereal.com/
Vendor:       John Doe
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      GPL
Version:      0.9.8
Release:      20021208

#   list of sources
Source0:      http://www.ethereal.com/distribution/ethereal-%{version}.tar.bz2
Patch0:       ethereal.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, glib, gtk, libpcap, gcc, make, perl
PreReq:       OpenPKG, openpkg >= 20020206, glib, gtk, libpcap
%if "%{with_zlib}" == "yes"
BuildPreReq:  zlib
PreReq:       zlib
%endif
%if "%{with_openssl}" == "yes"
BuildPreReq:  openssl
PreReq:       openssl
%endif
%if "%{with_snmp}" == "yes"
BuildPreReq:  snmp
PreReq:       snmp
%endif
AutoReq:      no
AutoReqProv:  no

%description
    Ethereal is a free network protocol analyzer for Unix and Windows.
    It allows you to examine data from a live network or from a capture
    file on disk. You can interactively browse the capture data, viewing
    summary and detail information for each packet. Ethereal has several
    powerful features, including a rich display filter language and the
    ability to view the reconstructed stream of a TCP session.

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/%{name} \
        --with-plugins=%{l_prefix}/libexec/%{name} \
        --with-glib-prefix=%{l_prefix} \
        --with-gtk-prefix=%{l_prefix} \
        --with-pcap=%{l_prefix} \
%if "%{with_zlib}" == "yes"
        --with-zlib=%{l_prefix} \
%else
        --without-zlib \
%endif
%if "%{with_openssl}" == "yes"
        --with-ssl=%{l_prefix} \
%else
        --without-ssl \
%endif
%if "%{with_snmp}" == "yes"
        --with-ucdsnmp=%{l_prefix} \
%else
        --without-ucdsnmp \
%endif
        --disable-ipv6
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

